<?php

namespace MediaFiles\MediaFile\Forms;

use Litepie\Form\FormInterpreter;

class File extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = config('media_files.media_file.file.urls');

        self::$search = config('media_files.media_file.file.search');

        self::$orderBy = config('media_files.media_file.file.order');

        self::$groups =  config('media_files.media_file.file.groups');

        self::$list =  config('media_files.media_file.file.list');

        self::$fields = config('media_files.media_file.file.form');

        return new static();
    }
}
